com.buschmais.jqassistant.plugin.java.impl.scanner.visitor

## Class AbstractAnnotationVisitor<D>

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - com.buschmais.jqassistant.plugin.java.impl.scanner.visitor.AbstractAnnotationVisitor<D>

- Direct Known Subclasses:
    AnnotationDefaultVisitor, AnnotationVisitor

      public abstract class AbstractAnnotationVisitor<D>
      extends org.objectweb.asm.AnnotationVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAnnotationVisitor(TypeCache.CachedType containingType, D descriptor, VisitorHelper visitorHelper)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `setValue(D descriptor, com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> value)`
    `void` | `visit(String name, Object value)`
    `AnnotationVisitor` | `visitAnnotation(String name, String desc)`
    `org.objectweb.asm.AnnotationVisitor` | `visitArray(String name)`
    `void` | `visitEnum(String name, String desc, String value)`

    - ### Methods inherited from class org.objectweb.asm.AnnotationVisitor

      `visitEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAnnotationVisitor

          protected AbstractAnnotationVisitor(TypeCache.CachedType containingType,
                                              D descriptor,
                                              VisitorHelper visitorHelper)

      Constructor.
      Parameters:
        `visitorHelper` - The `VisitorHelper`.

  - ### Method Detail

    - #### visit

          public void visit(String name,
                            Object value)

      Overrides:
        `visit` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnum

          public void visitEnum(String name,
                                String desc,
                                String value)

      Overrides:
        `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String name,
                                                   String desc)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitArray

          public org.objectweb.asm.AnnotationVisitor visitArray(String name)

      Overrides:
        `visitArray` in class `org.objectweb.asm.AnnotationVisitor`

    - #### setValue

          protected abstract void setValue(D descriptor,
                                           com.buschmais.jqassistant.plugin.common.api.model.ValueDescriptor<?> value)

Copyright © 2015 buschmais GbR. All rights reserved.